﻿using System.Runtime.Serialization;

namespace Dto;

[DataContract]
public class ParagraphDto : ContentLessonDto
{
    [DataMember(Name = "title")]
    public string Title { get; set; }
    [DataMember(Name = "content")]
    public string Content { get; set; }
    [DataMember(Name = "info")]
    public string Info { get; set; }
    [DataMember(Name = "query")]
    public string Query { get; set; }
    [DataMember(Name = "comment")]
    public string Comment { get; set; }

    public ParagraphDto(string title, string content, string info, string query, string comment, int lessonId) :
        base(content,
            title, lessonId)
    {
        Title = title;
        Content = content;
        Info = info;
        Query = query;
        Comment = comment;
    }

    public ParagraphDto(int id, string title, string content, string info, string query, string comment, int lessonId) :
        base(id, content,
            title, lessonId)
    {
        Id = id;
        Title = title;
        Content = content;
        Info = info;
        Query = query;
        Comment = comment;
    }

    public ParagraphDto() : base()
    {
    }
}